import request from "../../common/request"

export default {

	saveInfo: function (inputForm) {
		return request({
			url: "/sys/user/saveInfo",
			method: "post",
			header: { arrayFormat: "repeat" },
			data: inputForm,
		});
	},

	savePwd: function (inputForm) {
		return request({
			url: "/sys/user/savePwd",
			method: "put",
			params: inputForm,
		});
	},

	queryById: function (id) {
		return request({
			url: "/sys/user/queryById",
			method: "get",
			params: { id: id },
		});
	},

	getMenus: function () {
		return request({
			url: "/sys/user/getMenus",
			method: "get",
		});
	},

	info: function () {
		return request({
			url: "/sys/user/info",
			method: "get",
		});
	},

	list: function (params) {
		return request({
			url: "/sys/user/list",
			method: "get",
			params: params,
		});
	},

	treeData: function (params) {
		return request({
			url: "/sys/user/treeData",
			method: "get",
			params: params,
		});
	}
}
